// priority: 2000

onEvent('fluid.tags', event => {
    event.get(MC("water"))
        .remove(BT('oil'))
        .remove(BT('flowing_oil'))
        .remove(BT('fuel'))
        .remove(BT('flowing_fuel'))
        .remove(ENS('sea_water_flow'))
        .remove(CR('chocolate'))
        .remove(CR('flowing_chocolate'))
        .remove(CR('honey'))
        .remove(CR('flowing_honey'))
    
    event.remove(F("molten/zinc"), EE("molten_zinc"))
    event.remove(F("molten/uranium"), EE("molten_uranium"))
    event.remove(F("molten/tin"), EE("molten_tin"))
    event.remove(F("molten/steel"), EE("molten_steel"))
    event.remove(F("molten/silver"), EE("molten_silver"))
    event.remove(F("molten/signalum"), EE("molten_signalum"))
    event.remove(F("molten/osmium"), EE("molten_osmium"))
    event.remove(F("molten/nickel"), EE("molten_nickel"))
    event.remove(F("molten/lumium"), EE("molten_lumium"))
    event.remove(F("molten/lead"), EE("molten_lead"))
    event.remove(F("molten/iron"), EE("molten_iron"))
    event.remove(F("molten/invar"), EE("molten_invar"))
    event.remove(F("molten/gold"), EE("molten_gold"))
    event.remove(F("molten/enderium"), EE("molten_enderium"))
    event.remove(F("molten/electrum"), EE("molten_electrum"))
    event.remove(F("molten/copper"), EE("molten_copper"))
    event.remove(F("molten/constantan"), EE("molten_constantan"))
    event.remove(F("molten/cobalt"), EE("molten_cobalt"))
    event.remove(F("molten/bronze"), EE("molten_bronze"))
    event.remove(F("molten/brass"), EE("molten_brass"))
    event.remove(F("molten/aluminum"), EE("molten_aluminum"))

    event.remove(F("molten_zinc"), EE("molten_zinc"))
    event.remove(F("molten_uranium"), EE("molten_uranium"))
    event.remove(F("molten_tin"), EE("molten_tin"))
    event.remove(F("molten_steel"), EE("molten_steel"))
    event.remove(F("molten_silver"), EE("molten_silver"))
    event.remove(F("molten_signalum"), EE("molten_signalum"))
    event.remove(F("molten_osmium"), EE("molten_osmium"))
    event.remove(F("molten_nickel"), EE("molten_nickel"))
    event.remove(F("molten_lumium"), EE("molten_lumium"))
    event.remove(F("molten_lead"), EE("molten_lead"))
    event.remove(F("molten_iron"), EE("molten_iron"))
    event.remove(F("molten_invar"), EE("molten_invar"))
    event.remove(F("molten_gold"), EE("molten_gold"))
    event.remove(F("molten_enderium"), EE("molten_enderium"))
    event.remove(F("molten_electrum"), EE("molten_electrum"))
    event.remove(F("molten_copper"), EE("molten_copper"))
    event.remove(F("molten_constantan"), EE("molten_constantan"))
    event.remove(F("molten_cobalt"), EE("molten_cobalt"))
    event.remove(F("molten_bronze"), EE("molten_bronze"))
    event.remove(F("molten_brass"), EE("molten_brass"))
    event.remove(F("molten_aluminum"), EE("molten_aluminum"))
})